#ifndef LOGGING_H
#define LOGGING_H
#include <boost/log/trivial.hpp>
#include <iomanip>

#include "utils.h"

#define BUGZ_LOG(severity)                                                     \
  BOOST_LOG_TRIVIAL(severity)                                                  \
      << "(" << std::setw(15) << trim_path(__FILE__) << ":" << std::setw(4)    \
      << std::left << __LINE__ << ") "
#endif      